TestRequestUtils (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class TestRequestUtils

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.mock.TestMockBase
                  org.apache.struts.util.TestRequestUtils

All Implemented Interfaces:
  junit.framework.Test

    public class TestRequestUtils

extends TestMockBase

Unit tests for `org.apache.struts.util.RequestUtils`.

Version:
  $Rev: 471754 $ $Date: 2005-08-14 17:24:39 -0400 (Sun, 14 Aug 2005) $

Field Summary

Fields inherited from class org.apache.struts.mock.TestMockBase
`config, context, moduleConfig, moduleConfig2, moduleConfig3, page, principal, request, response, session`

Constructor Summary
`TestRequestUtils(String name)`

Method Summary
`static void` | `main(String[] args)`
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testAbsoluteURL()`
`void` | `testActionURL1()`
`void` | `testActionURL2()`
`void` | `testActionURL3()`
`void` | `testCreateActionForm1a()`
`void` | `testCreateActionForm1b()`
`void` | `testCreateActionForm2a()`
`void` | `testCreateActionForm2b()`
`void` | `testCreateActionForm3a()`
`void` | `testCreateActionForm3b()`
`void` | `testCreateActionForm4a()`
`void` | `testForwardURL1()`
`void` | `testForwardURL2()`
`void` | `testForwardURL3()`
`void` | `testForwardURLa()`
`void` | `testRequestURL()`
`void` | `testSelectApplication1a()`
`void` | `testSelectApplication1b()`
`void` | `testSelectApplication2a()`
`void` | `testSelectApplication2b()`
`void` | `testServerURL()`

Methods inherited from class org.apache.struts.mock.TestMockBase
`setUpDefaultApp, setUpSecondApp, setUpThirdApp, testUtilBaseEnvironment`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestRequestUtils

    public TestRequestUtils(String name)

Method Detail

### main

    public static void main(String[] args)

### suite

    public static junit.framework.Test suite()

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `TestMockBase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `TestMockBase`

### testAbsoluteURL

    public void testAbsoluteURL()

### testActionURL1

    public void testActionURL1()

### testActionURL2

    public void testActionURL2()

### testActionURL3

    public void testActionURL3()

### testCreateActionForm1a

    public void testCreateActionForm1a()

### testCreateActionForm1b

    public void testCreateActionForm1b()

### testCreateActionForm2a

    public void testCreateActionForm2a()

### testCreateActionForm2b

    public void testCreateActionForm2b()

### testCreateActionForm3a

    public void testCreateActionForm3a()

### testCreateActionForm3b

    public void testCreateActionForm3b()

### testCreateActionForm4a

    public void testCreateActionForm4a()

### testForwardURL1

    public void testForwardURL1()

### testForwardURL2

    public void testForwardURL2()

### testForwardURL3

    public void testForwardURL3()

### testForwardURLa

    public void testForwardURLa()

### testRequestURL

    public void testRequestURL()

### testSelectApplication1a

    public void testSelectApplication1a()

### testSelectApplication1b

    public void testSelectApplication1b()

### testSelectApplication2a

    public void testSelectApplication2a()

### testSelectApplication2b

    public void testSelectApplication2b()

### testServerURL

    public void testServerURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.